> ## Documentation Index
> Fetch the complete documentation index at: https://manual.kotanipay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Process Bulk Payment Batch

Process and execute a bulk payment batch to initiate all payments.


## OpenAPI

````yaml POST /api/v3/dashboard/bulk-payments/api/batches/{batchId}/process
openapi: 3.0.0
info:
  title: KOTANI PAY API PLATFORM
  description: ''
  version: '3.0'
  contact: {}
servers:
  - url: https://preview.kotanipay.com
security: []
tags: []
paths:
  /api/v3/dashboard/bulk-payments/api/batches/{batchId}/process:
    post:
      tags:
        - API Bulk Payments
      summary: Process a bulk payment batch
      operationId: ApiBulkPaymentsController_processBatch_api/v3
      parameters:
        - name: batchId
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: Bulk payment batch processed successfully
      security:
        - bearer: []
components: {}

````